Data Fields
PurpleNotifyUiOps Struct Reference

Notification UI operations. More...

`#include <notify.h>`

## Data Fields
void *(* | notify_message )(PurpleNotifyMsgType type, const char *title, const char *primary, const char *secondary)
void *(* | notify_email )(PurpleConnection *gc, const char *subject, const char *from, const char *to, const char *url)
void *(* | notify_emails )(PurpleConnection *gc, size_t count, gboolean detailed, const char **subjects, const char **froms, const char **tos, const char **urls)
void *(* | notify_formatted )(const char *title, const char *primary, const char *secondary, const char *text)
void *(* | notify_searchresults )(PurpleConnection *gc, const char *title, const char *primary, const char *secondary, PurpleNotifySearchResults *results, gpointer user_data)
void(* | notify_searchresults_new_rows )(PurpleConnection *gc, PurpleNotifySearchResults *results, void *data)
void *(* | notify_userinfo )(PurpleConnection *gc, const char *who, PurpleNotifyUserInfo *user_info)
void *(* | notify_uri )(const char *uri)
void(* | close_notify )(PurpleNotifyType type, void *ui_handle)
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

Notification UI operations.

Definition at line 144 of file notify.h.

The documentation for this struct was generated from the following file:

- notify.h